## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Class SybaseASECatalogType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseASECatalogType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class SybaseASECatalogType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Sybase ASE Catalog Type', and utility methods for working with them.

See Also:
  `SybaseasesqlmodelPackage.getSybaseASECatalogType()`, Serialized Form

Field Summary
`static int` `PROXYCATALOG` The 'PROXYCATALOG' literal value.
`static SybaseASECatalogType` `PROXYCATALOG_LITERAL` The 'PROXYCATALOG' literal object.
`static int` `TEMPCATALOG` The 'TEMPCATALOG' literal value.
`static SybaseASECatalogType` `TEMPCATALOG_LITERAL` The 'TEMPCATALOG' literal object.
`static int` `USERCATALOG` The 'USERCATALOG' literal value.
`static SybaseASECatalogType` `USERCATALOG_LITERAL` The 'USERCATALOG' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Sybase ASE Catalog Type' enumerators.

Method Summary
`static SybaseASECatalogType` `get(int value)` Returns the 'Sybase ASE Catalog Type' literal with the specified integer value.
`static SybaseASECatalogType` `get(java.lang.String literal)` Returns the 'Sybase ASE Catalog Type' literal with the specified literal value.
`static SybaseASECatalogType` `getByName(java.lang.String name)` Returns the 'Sybase ASE Catalog Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROXYCATALOG

    public static final int PROXYCATALOG

  The 'PROXYCATALOG' literal value.

  If the meaning of 'PROXYCATALOG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROXYCATALOG_LITERAL`, Constant Field Values

### TEMPCATALOG

    public static final int TEMPCATALOG

  The 'TEMPCATALOG' literal value.

  If the meaning of 'TEMPCATALOG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEMPCATALOG_LITERAL`, Constant Field Values

### USERCATALOG

    public static final int USERCATALOG

  The 'USERCATALOG' literal value.

  If the meaning of 'USERCATALOG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `USERCATALOG_LITERAL`, Constant Field Values

### PROXYCATALOG_LITERAL

    public static final SybaseASECatalogType PROXYCATALOG_LITERAL

  The 'PROXYCATALOG' literal object.

  See Also:
    `PROXYCATALOG`

### TEMPCATALOG_LITERAL

    public static final SybaseASECatalogType TEMPCATALOG_LITERAL

  The 'TEMPCATALOG' literal object.

  See Also:
    `TEMPCATALOG`

### USERCATALOG_LITERAL

    public static final SybaseASECatalogType USERCATALOG_LITERAL

  The 'USERCATALOG' literal object.

  See Also:
    `USERCATALOG`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Sybase ASE Catalog Type' enumerators.

Method Detail

### get

    public static SybaseASECatalogType get(java.lang.String literal)

  Returns the 'Sybase ASE Catalog Type' literal with the specified literal value.

### getByName

    public static SybaseASECatalogType getByName(java.lang.String name)

  Returns the 'Sybase ASE Catalog Type' literal with the specified name.

### get

    public static SybaseASECatalogType get(int value)

  Returns the 'Sybase ASE Catalog Type' literal with the specified integer value.